#
# spec file for package pass_python_keyring
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define mod_name pass_python_keyring
Name:           python-pass_python_keyring
Version:        1.1
Release:        6.1
Summary:        Pass backend for python-keyring lib
Url:            http://github.com/notandy/pass_python_keyring
Group:          Productivity/Other
License:        Python-2.0
Source:         http://github.com/notandy/%{mod_name}/archive/v%{version}.tar.gz
Source1:        keyringrc.cfg
BuildRequires:  python-setuptools
Recommends:     password-store
Recommends:     python-keyring
BuildRoot:      %{_tmppath}/%{mod_name}-%{version}-build
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
A pass-powered backend for Python Keyring lib.

%prep
%setup -q -n %{mod_name}-%{version}
install -m0644 %{S:1} .

%build
python setup.py build

%install
python setup.py install --skip-build --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root)
%doc README.md keyringrc.cfg
%dir %{python_sitelib}/%{mod_name}-%{version}-py*.egg-info/
%{python_sitelib}/%{mod_name}-%{version}-py*.egg-info/*
%{python_sitelib}/pass.py*

%changelog
* Wed Nov 12 2014 tampakrap@opensuse.org
- Version bump 1.1: Update License info
* Fri Jul 11 2014 tampakrap@opensuse.org
- Initial commit
